#!/bin/sh -e

# Copyright (C) 2001, 2002, 2003, 2004 Joost van Baal
#
# This file is part of systraq.  Systraq is free software; you can redistribute
# it and/or modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the License,
# or (at your option) any later version.  You should have received a copy of
# the GNU General Public License along with this file (see COPYING).

# systraq - run some sysadmin commands to see what's going on

PACKAGE=@PACKAGE@
VERSION=@VERSION@
SYSCONF_PATH=/etc/systraq
BIN_PATH=/usr/bin
LOCALSTATE_PATH=/var/lib/systraq
HOME_PATH=/var/lib/systraq

## run-parts
RUN_PARTS=@RUN_PARTS@

## formerly known as ST_LMD5SUMS
ST_LDIGESTS=$LOCALSTATE_PATH/systraq.sums

export PACKAGE VERSION SYSCONF_PATH BIN_PATH LOCALSTATE_PATH HOME_PATH ST_LDIGESTS

## systraq.d should contain symlinks to /usr/lib/systraq/* (libexecdir/systraq)
## holding the scripts maintained in lib/
$RUN_PARTS $SYSCONF_PATH/systraq.d
